# msdkvp9dec

VP9 video decoder based on Intel MFX

## Example launch line

    gst-launch-1.0 filesrc location=sample.webm ! matroskademux ! msdkvp9dec ! glimagesink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstVideoDecoder
                        ╰──GstMsdkDec
                            ╰──msdkvp9dec

## Factory details

Authors: – Sreerenj Balachandran

Classification: – `Codec/Decoder/Video/Hardware`

Rank – none

Plugin – msdk

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-vp9

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw
            format: { NV12, P010_10LE, VUYA, Y410, P012_LE, Y412_LE }
             width: [ 1, 2147483647 ]
            height: [ 1, 2147483647 ]
         framerate: [ 0/1, 2147483647/1 ]
    interlace-mode: progressive
    video/x-raw(memory:DMABuf)
            format: { NV12, P010_10LE, VUYA, Y410, P012_LE, Y412_LE }
             width: [ 1, 2147483647 ]
            height: [ 1, 2147483647 ]
         framerate: [ 0/1, 2147483647/1 ]
    interlace-mode: progressive

Presence – always

Direction – src

Object type – GstPad

## Properties

### output-order

    “output-order” GstMsdkDecOutputOrder *

Decoded frames output order

Flags : Read / Write

Default value : display (0)

## Named constants

### GstMsdkDecOutputOrder

#### Members

`display` (0) – Output frames in Display order
`decoded` (1) – Output frames in Decoded order

The results of the search are